Foreman - Bug #15951

host's interfaces_attributes compute_attributes not passed to vm
08/03/2016 02:38 AM - Timo Goebel

Status:
Priority:
Assignee:

Category:

Target version:

Closed
Normal

Timo Goebel
Host creation
1.13.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3699
Description

Creating a new host (read: vmware vm) via gui is currently broken after strong parameters were introduced. First guess is that
"compute_attributes"=>{"type"=>"VirtualE1000", "network"=>"LX-LAN-VLAN-777"} is incorrectly filtered.

Related issues:

Related to Foreman - Feature #3917: Add strong_parameters to foreman

Closed 12/19/2013

Associated revisions

Revision ecbealac - 08/04/2016 03:42 AM - Timo Goebel

fixes #15951 - pass interface compute_attributes

History

#1 - 08/03/2016 02:38 AM - Timo Goebel
- Related to Feature #3917: Add strong_parameters to foreman added

#2 - 08/03/2016 03:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3699 added

#3 - 08/04/2016 02:51 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#4 - 08/04/2016 04:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ecbealace6489c0058dd1698dfefi1c2f8ee090a2.

05/22/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ecbea0ace6489c0058dd1698dfef1c2f8ee090a2
http://www.tcpdf.org

